<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".HostActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="32dp"
        android:layout_marginEnd="16dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/imageView2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:contentDescription="Logo"
                app:srcCompat="@drawable/icon" />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/hostInfoText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/hostInfoText"
                android:textAlignment="center"
                />

            <androidx.legacy.widget.Space
                android:layout_width="match_parent"
                android:layout_height="30dp" />

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                android:hint="@string/instance"
                app:expandedHintEnabled="false">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/hostText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="@string/hostText"
                    android:inputType="text" />

            </com.google.android.material.textfield.TextInputLayout>


            <com.google.android.material.button.MaterialButton
                android:id="@+id/button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/okButton" />

        </LinearLayout>
    </FrameLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
